<?php

namespace App\Service\SnipParser;

use Symfony\Component\DependencyInjection\Attribute\AutoconfigureTag;

#[AutoconfigureTag]
interface ParserInterface
{
    public function parseView(string $content): string;

    public function parseRaw(string $content): string;

    public static function getName(): string;
}